linux-kernel.vger.kernel.org archive mirror
 help / color / mirror / Atom feed
* [PATCH] extract-ikconfig: use mktemp(1)
@ 2006-02-01 12:54 Alexey Dobriyan
  0 siblings, 0 replies; only message in thread
From: Alexey Dobriyan @ 2006-02-01 12:54 UTC (permalink / raw)
  To: Andrew Morton; +Cc: linux-kernel

Signed-off-by: Alexey Dobriyan <adobriyan@gmail.com>
---

 scripts/extract-ikconfig |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

--- a/scripts/extract-ikconfig
+++ b/scripts/extract-ikconfig
@@ -45,7 +46,7 @@ then
 	exit 1
 fi
 
-TMPFILE="/tmp/ikconfig-$$"
+TMPFILE=`mktemp -t ikconfig-XXXXXX` || exit 1
 image="$1"
 
 # vmlinux: Attempt to dump the configuration from the file directly


^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2006-02-01 12:36 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2006-02-01 12:54 [PATCH] extract-ikconfig: use mktemp(1) Alexey Dobriyan

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).